## 10.0.0+1
### Added
- Added support for isEmpty and isNotEmpty code generation.

## 9.0.0+1
### Added
- Added support for copyWith code generation

## 8.0.0+1
### Changed
- Update dependency constraints to `sdk: '>=3.0.0 <4.0.0' flutter: '>=3.3.0'`
- Update dependencies to be compatible with Flutter 3.10.0

## 7.0.0+19
### Changed
- Updated to support latest Flutter 3.7 and `adeptannotations: ^3.0.0+9`

## 6.0.0+18
### Changed
- Updated to support latest Flutter 3.7

## 5.0.0+17
### Changed
- `analyzer` updated to breaking change version ^5.0.0

## 4.0.0+16
### Changed
- `analyzer` updated to breaking change version

## 3.0.3+15
### Fixed
- Minor bug fixed

## 3.0.2+14
### Changed
- analyzer dependency breaking change upgraded

## 3.0.1+13
### Fixed
- Synthetic fields bug fixed when validating for getter and setter.

## 3.0.0+12
### Changed
- analyzer dependency breaking change upgraded

## 2.1.0+11
### Added
- @CloneKey added `cloneFunction` to be used for specific cloning on a field.
- @CloneKey added `considerEmptyCollectionAsNull` to ignore data from collections if it's empty as it were null.
- @DiffKey added `diffFunction` to be used for specific diff on a field.

## 2.0.1+10
### Added
- Support for @CloneKey `defaultValue` to be used if the currentData or newData is `null`.
- Support for @DiffKey `defaultValue` to be used if currentData and newData are equal.

## 2.0.0+9
### Added
- Support for null-safety

## 1.3.1+8
### Fixed
- Analyzer dependency version conflicts fixed

## 1.3.1+7
### Changed
- Dependencies updated

## 1.3.0+6
### Added
- New generator for @Differentiable() and @DiffKey annotations from adeptannotations package.
- New property **forceCurrentData** on @CloneKey() annotation

## 1.2.2+5
### Changed
- Updated dependencies

## 1.2.1+4
### Changed
- Updated dependencies

## 1.2.0+3
- Generator updated to work with **ignoreSynthetic** from Cloneable annotation
- Static, const and final fields excluded from cloning
- Validations added to ensure synthetics fields are properly defined to be used in cloning

## 1.1.0+2
- CloneKey *ignore* flag is taken into account to ignore fields while cloning

## 1.0.0+1
- Readme updated

## 1.0.0
- First release