class CloneKeyConfig {
  final bool ignore;
  final bool? ignoreSynthetic;
  final bool forceCurrentData;
  final bool forceNewData;
  final bool? considerEmptyCollectionAsNull;
  final Object? defaultValue;
  final String? cloneFunction;

  const CloneKeyConfig({
    bool? ignore,
    this.ignoreSynthetic,
    bool? forceCurrentData,
    bool? forceNewData,
    this.considerEmptyCollectionAsNull,
    this.defaultValue,
    this.cloneFunction,
  })  : ignore = ignore ?? false,
        forceCurrentData = forceCurrentData ?? false,
        forceNewData = forceNewData ?? false;
}
