library adeptgenerator;

import 'package:adeptgenerator/src/clone_generator.dart';
import 'package:adeptgenerator/src/copy_with_generator.dart';
import 'package:adeptgenerator/src/diff_generator.dart';
import 'package:adeptgenerator/src/is_empty_generator.dart';
import 'package:build/build.dart';
import 'package:source_gen/source_gen.dart';

Builder cloneGenerator(BuilderOptions options) =>
    SharedPartBuilder([CloneGenerator(options)], 'clone');

Builder copyWithGenerator(BuilderOptions options) =>
    SharedPartBuilder([CopyWithGenerator(options)], 'copyWith');

Builder diffGenerator(BuilderOptions options) =>
    SharedPartBuilder([DiffGenerator(options)], 'diff');

Builder isEmptyGenerator(BuilderOptions options) =>
    SharedPartBuilder([IsEmptyGenerator(options)], 'isEmpty');
