class CopyWithKeyConfig {
  final bool ignore;
  final bool? includeIfPrivate;
  final bool? avoidConstructor;
  final bool? ignoreSynthetic;
  final bool? allowNullable;
  final bool? considerEmptyCollectionAsNull;
  final Object? defaultValue;
  final String? copyWithFunction;

  const CopyWithKeyConfig({
    bool? ignore,
    this.includeIfPrivate,
    this.avoidConstructor,
    this.ignoreSynthetic,
    this.allowNullable,
    this.considerEmptyCollectionAsNull,
    this.defaultValue,
    this.copyWithFunction,
  }) : ignore = ignore ?? false;
}
